%define name seahorse
%define version 0.7.3
%define release 9mdk

Name:		%{name}
Summary:	Seahorse is a GNOME2 frontend to GnuPG
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphical desktop/GNOME
URL:		http://seahorse.sourceforge.net
Source:		%{name}-%{version}.tar.bz2
# (fc) 0.7.3-5mdk 0.7.3-6mdk fix icon path
Patch0:         seahorse-0.7.3-iconpath.patch.bz2
Requires:	gnupg
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:  libgnome2-devel
BuildRequires:  libgpgme-devel
BuildRequires: scrollkeeper
BuildRequires: libgnomeui2-devel
BuildRequires: eel-devel
Obsoletes:	seahorse2
Provides:	seahorse2
PreReq: scrollkeeper

%description
Seahorse is a GNOME2 frontend for the GNU Privacy Guard ecryption tool. It can 
be used for file encryption and decryption and for digitally signing files and 
for verifying those signatures. Key management options are also included. Both 
English and Japanese is support is provided. 
NOTE: NO CRYPTO STUFF IN THIS PACKAGE

%prep

%setup -q
%patch0 -p1 -b .iconpath

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std 

# Menu
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name  <<EOF
?package(%name): command="%_bindir/seahorse" needs="X11" \
icon="seahorse.png" section="System/File Tools" \
title="GPG Keys Manager" longtitle="Manage your GPG keys"
?package(%name): command="%_bindir/seahorse" needs="gnome" \
icon="gnome-lockscreen.png" section="Configuration/GNOME" \
title="PGP Preferences" longtitle="Configure PGP"
EOF

%{find_lang} seahorse --with-gnome

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/*.{la,a}
 
%post
%{update_menus}
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/seahorse.schemas > /dev/null

%preun
if [ "$1" = "0" ]; then
 GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/seahorse.schemas > /dev/null
fi

%postun
%{clean_menus} 

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_sysconfdir}/gconf/schemas/seahorse.schemas
%{_bindir}/*
%{_libdir}/bonobo/*.so
%{_libdir}/bonobo/servers/*
%{_datadir}/applications/seahorse.desktop
%{_datadir}/omf/seahorse/seahorse-C.omf
%{_datadir}/control-center-2.0/capplets/*
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/seahorse.png
%{_datadir}/seahorse/glade/*
%{_menudir}/*

%changelog
* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.3-9mdk
- Fix menu

* Mon Apr 26 2004 Charles A Edwards <eslrahc@mandrake.org> 0.7.3-8mdk
- fix unneeded require by rm requires for gpgme 
- BuildRequires

* Thu Feb 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.3-7mdk
- Patch0 : fix icon path (Mdk bug #7286)

* Thu Feb 05 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.7.3-6mdk
- rebuild for dependencies

* Thu Jul 31 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.7.3-5mdk
- Add scrollkeeper dep

* Thu Jul 31 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.7.3-4mdk
- Fix icon

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.7.3-3mdk
- Rebuild against latest ORBit2

* Fri May 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.7.3-1mdk
- Release 0.7.3

* Fri Apr 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.2-1mdk
- Release 0.7.2

* Tue Mar 11 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1-1mdk
- from Matthias Debus <psic4t@netbands.de> :
	- new version

* Mon Feb 10 2003 Matthias Debus <psic4t@netbands.de> 0.7.0-1mdk
- new version

* Sat Feb 01 2003 Matthias Debus <psic4t@netbands.de> 0.6.1-1mdk
- new version

* Fri Jan 24 2003 Matthias Debus <psic4t@netbands.de> 0.6.0-2mdk
- update name
- obsoletes seahorse2

* Thu Jan 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- 0.6.0

* Wed Jan 15 2003 Matthias Debus <psic4t@netbands.de> 0.4.4-1mdk
- First release of seahorse2
- BuildRequires
- Obsoletes seahorse

* Sat Jan 26 2002 Frdric Crozat <fcrozat@mandrakesoft.com> 0.5.0-4mdk
- Clean specfile
- Add locales

* Sun Jan 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.0-3mdk
- Fix menu entry
- Add missing files

* Mon Sep 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-2mdk
- rebuild

* Tue Feb 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-1mdk
- updated to 0.5.0

* Mon Jan 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.9-1mdk
- updated to 0.4.9

* Fri Sep 15 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.6-2mdk  
- macros
- bm
- menu

* Mon Apr 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.6-1mdk
- fix group
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Sun Mar 19 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.3.6
- specfile changes for spec-helper

* Fri Feb 11 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
- bzip manpages
